Bug 1286129 - DHT: REBALANCE- spurious data movements upon starting rebalance
DHT: REBALANCE- spurious data movements upon starting rebalance
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Nithya Balachandran
: ZStream
Depends On: 1063606
  Show dependency treegraph
Reported: 2015-11-27 06:40 EST by Susant Kumar Palai
Modified: 2016-07-25 03:23 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1063606
Last Closed: 2016-07-25 03:23:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 3 Prasad Desala 2016-07-22 06:19:48 EDT
This issue is not seen on gluster build: 3.7.9-10.

Here are the steps that were followed,

1. created a single brick distribute volume.
2. created 10 files on the mount point say 1 to 10.
3. added one more brick from a peer node and started rebalance. 
4. once the migration is completed, checked the file distribution in the backend. 

Checked the rebalance logs for both the nodes and the file migration has happened only once.

Also, above mentioned steps were done for a distributed volume with multiple bricks and as expected file distribution has happened only once.
Comment 4 Nithya Balachandran 2016-07-25 03:23:29 EDT
Thanks Prasad.

Based on comment#3, I am closing this BZ.

Note You need to log in before you can comment on or make changes to this bug.